
# RayAI and Backend Server

This project contains the RayAI bot source code as well as the backend server that runs it. 

Please Note: llama-cpp-python OpenAI Emulation Server is required alongside the backend server. In the codes case, this server is configured on 127.0.0.1:8002

To run the llama-cpp-python server:

`pip install llama-cpp-python[server]`

`python3 -m llama_cpp.server --model <model_path>`

Once you have this running, you can install and run the rest of the software:

`git clone https://git.ssh.surf/snxraven/rayai`

`cd rayai`

Install backend server:

`cd backend-server`

`npm i` 

When finished with configuration start with:

`node backend-server.js`

Install Bot:

`cd ..`

`cd bot`

`npm i`

When finished with configuration start with:

`node discord-bot.js`